org.apache.solr.client.solrj.response.schema

## Class SchemaResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.schema.SchemaResponse

All Implemented Interfaces:
  Serializable, MapSerializable, MapWriter, NavigableObject

    public class SchemaResponse
    extends SolrResponseBase

This class is used to wrap the response messages retrieved from Solr Schema API.

Since:
  solr 5.3
See Also:
  Solr Schema API, Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SchemaResponse.CopyFieldsResponse`
`static class` `SchemaResponse.DynamicFieldResponse`
`static class` `SchemaResponse.DynamicFieldsResponse`
`static class` `SchemaResponse.FieldResponse`
`static class` `SchemaResponse.FieldsResponse`
`static class` `SchemaResponse.FieldTypeResponse`
`static class` `SchemaResponse.FieldTypesResponse`
`static class` `SchemaResponse.GlobalSimilarityResponse`
`static class` `SchemaResponse.SchemaNameResponse`
`static class` `SchemaResponse.SchemaVersionResponse`
`static class` `SchemaResponse.UniqueKeyResponse`
`static class` `SchemaResponse.UpdateResponse`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
Constructor and Description
`SchemaResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SchemaRepresentation` `getSchemaRepresentation()`
`void` `setResponse(NamedList<Object> response)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Constructor Detail

#### SchemaResponse

    public SchemaResponse()

### Method Detail

#### setResponse

    public void setResponse(NamedList<Object> response)

Overrides:
  `setResponse` in class `SolrResponseBase`

#### getSchemaRepresentation

    public SchemaRepresentation getSchemaRepresentation()